package com.example.onomatopoeiaback.repository;

import com.example.onomatopoeiaback.domain.employee.Employee;
import lombok.NonNull;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface EmployeeRepository extends JpaRepository<Employee, Long> {
    Employee getEmployeeById(Long id);

    Optional<Employee> findByLogin(@NonNull String login);
}
