package com.example.onomatopoeiaback.service;

import com.example.onomatopoeiaback.domain.qrcode.QrCode;
import com.example.onomatopoeiaback.repository.QrCodeRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class QrCodeService {
    final
    QrCodeRepository qrCodeRepository;

    public QrCodeService(QrCodeRepository qrCodeRepository) {
        this.qrCodeRepository = qrCodeRepository;
    }

    public QrCode createQrCode(String name) {
        QrCode qrCode = new QrCode();
        qrCode.setName(name);
        return qrCodeRepository.saveAndFlush(qrCode);
    }
}
