package com.example.onomatopoeiaback;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.data.web.config.EnableSpringDataWebSupport;

//                     отключаем стандартную шизанастройку в spring security
@SpringBootApplication(exclude = {SecurityAutoConfiguration.class })
// указывает Spring Data использовать PagedModel для сериализации объектов Page в JSON
@EnableSpringDataWebSupport(pageSerializationMode = EnableSpringDataWebSupport.PageSerializationMode.VIA_DTO)
public class OnomatopoeiaBackApplication {

    public static void main(String[] args) {
        SpringApplication.run(OnomatopoeiaBackApplication.class, args);
    }

}
